package com.trace.ar.drawing.helper;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;

import androidx.annotation.Nullable;

import com.trace.ar.drawing.R;

public class MyTV extends androidx.appcompat.widget.AppCompatTextView {
//    public MyTV(Context context) {
//        super(context);
//    }

    public MyTV(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initAttrs(context,attrs);
    }

//    public MyTV(Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
//        super(context, attrs, defStyleAttr);
//        initAttrs(context,attrs);
//    }
    private void initAttrs(Context context, AttributeSet attrs){
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.MyTV);
        boolean aBoolean = typedArray.getBoolean(R.styleable.MyTV_apply_font,false);
        if(aBoolean){
            Utils.initFont(this);
        }

        typedArray.recycle();
    }



}
